Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network105.45.0.0/16
Usable hosts65,534
Subnet mask255.255.0.0
Addresses65,536
Network address
105.45.0.0
Broadcast address
105.45.255.255
First usable
105.45.0.1
Last usable
105.45.255.254
Usable hosts
65,534 (65,536 less the network and broadcast addresses)
Subnet mask
255.255.0.0
Wildcard mask
0.0.255.255 (Cisco ACLs, OSPF)
Prefix length
/16
Type
Public public
Old class
A (default /8)
As numbers
Hex 692D0000 · Integer 1764556800 to 1764622335
Reverse DNS zone
45.105.in-addr.arpa
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address01101001.00101101..00000000.00000000105.45.0.0
Subnet mask11111111.11111111..00000000.00000000255.255.0.0
Network01101001.00101101..00000000.00000000105.45.0.0
Broadcast01101001.00101101..11111111.11111111105.45.255.255
Split into smaller subnets/27

105.45.0.0/16 makes 2,048 subnets of /27; the first 256 are listed.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
1105.45.0.0/27105.45.0.1 to 105.45.0.30105.45.0.3130
2105.45.0.32/27105.45.0.33 to 105.45.0.62105.45.0.6330
3105.45.0.64/27105.45.0.65 to 105.45.0.94105.45.0.9530
4105.45.0.96/27105.45.0.97 to 105.45.0.126105.45.0.12730
5105.45.0.128/27105.45.0.129 to 105.45.0.158105.45.0.15930
6105.45.0.160/27105.45.0.161 to 105.45.0.190105.45.0.19130
7105.45.0.192/27105.45.0.193 to 105.45.0.222105.45.0.22330
8105.45.0.224/27105.45.0.225 to 105.45.0.254105.45.0.25530
9105.45.1.0/27105.45.1.1 to 105.45.1.30105.45.1.3130
10105.45.1.32/27105.45.1.33 to 105.45.1.62105.45.1.6330
11105.45.1.64/27105.45.1.65 to 105.45.1.94105.45.1.9530
12105.45.1.96/27105.45.1.97 to 105.45.1.126105.45.1.12730
13105.45.1.128/27105.45.1.129 to 105.45.1.158105.45.1.15930
14105.45.1.160/27105.45.1.161 to 105.45.1.190105.45.1.19130
15105.45.1.192/27105.45.1.193 to 105.45.1.222105.45.1.22330
16105.45.1.224/27105.45.1.225 to 105.45.1.254105.45.1.25530
17105.45.2.0/27105.45.2.1 to 105.45.2.30105.45.2.3130
18105.45.2.32/27105.45.2.33 to 105.45.2.62105.45.2.6330
19105.45.2.64/27105.45.2.65 to 105.45.2.94105.45.2.9530
20105.45.2.96/27105.45.2.97 to 105.45.2.126105.45.2.12730
21105.45.2.128/27105.45.2.129 to 105.45.2.158105.45.2.15930
22105.45.2.160/27105.45.2.161 to 105.45.2.190105.45.2.19130
23105.45.2.192/27105.45.2.193 to 105.45.2.222105.45.2.22330
24105.45.2.224/27105.45.2.225 to 105.45.2.254105.45.2.25530
25105.45.3.0/27105.45.3.1 to 105.45.3.30105.45.3.3130
26105.45.3.32/27105.45.3.33 to 105.45.3.62105.45.3.6330
27105.45.3.64/27105.45.3.65 to 105.45.3.94105.45.3.9530
28105.45.3.96/27105.45.3.97 to 105.45.3.126105.45.3.12730
29105.45.3.128/27105.45.3.129 to 105.45.3.158105.45.3.15930
30105.45.3.160/27105.45.3.161 to 105.45.3.190105.45.3.19130
31105.45.3.192/27105.45.3.193 to 105.45.3.222105.45.3.22330
32105.45.3.224/27105.45.3.225 to 105.45.3.254105.45.3.25530
33105.45.4.0/27105.45.4.1 to 105.45.4.30105.45.4.3130
34105.45.4.32/27105.45.4.33 to 105.45.4.62105.45.4.6330
35105.45.4.64/27105.45.4.65 to 105.45.4.94105.45.4.9530
36105.45.4.96/27105.45.4.97 to 105.45.4.126105.45.4.12730
37105.45.4.128/27105.45.4.129 to 105.45.4.158105.45.4.15930
38105.45.4.160/27105.45.4.161 to 105.45.4.190105.45.4.19130
39105.45.4.192/27105.45.4.193 to 105.45.4.222105.45.4.22330
40105.45.4.224/27105.45.4.225 to 105.45.4.254105.45.4.25530
41105.45.5.0/27105.45.5.1 to 105.45.5.30105.45.5.3130
42105.45.5.32/27105.45.5.33 to 105.45.5.62105.45.5.6330
43105.45.5.64/27105.45.5.65 to 105.45.5.94105.45.5.9530
44105.45.5.96/27105.45.5.97 to 105.45.5.126105.45.5.12730
45105.45.5.128/27105.45.5.129 to 105.45.5.158105.45.5.15930
46105.45.5.160/27105.45.5.161 to 105.45.5.190105.45.5.19130
47105.45.5.192/27105.45.5.193 to 105.45.5.222105.45.5.22330
48105.45.5.224/27105.45.5.225 to 105.45.5.254105.45.5.25530
49105.45.6.0/27105.45.6.1 to 105.45.6.30105.45.6.3130
50105.45.6.32/27105.45.6.33 to 105.45.6.62105.45.6.6330
51105.45.6.64/27105.45.6.65 to 105.45.6.94105.45.6.9530
52105.45.6.96/27105.45.6.97 to 105.45.6.126105.45.6.12730
53105.45.6.128/27105.45.6.129 to 105.45.6.158105.45.6.15930
54105.45.6.160/27105.45.6.161 to 105.45.6.190105.45.6.19130
55105.45.6.192/27105.45.6.193 to 105.45.6.222105.45.6.22330
56105.45.6.224/27105.45.6.225 to 105.45.6.254105.45.6.25530
57105.45.7.0/27105.45.7.1 to 105.45.7.30105.45.7.3130
58105.45.7.32/27105.45.7.33 to 105.45.7.62105.45.7.6330
59105.45.7.64/27105.45.7.65 to 105.45.7.94105.45.7.9530
60105.45.7.96/27105.45.7.97 to 105.45.7.126105.45.7.12730
61105.45.7.128/27105.45.7.129 to 105.45.7.158105.45.7.15930
62105.45.7.160/27105.45.7.161 to 105.45.7.190105.45.7.19130
63105.45.7.192/27105.45.7.193 to 105.45.7.222105.45.7.22330
64105.45.7.224/27105.45.7.225 to 105.45.7.254105.45.7.25530
65105.45.8.0/27105.45.8.1 to 105.45.8.30105.45.8.3130
66105.45.8.32/27105.45.8.33 to 105.45.8.62105.45.8.6330
67105.45.8.64/27105.45.8.65 to 105.45.8.94105.45.8.9530
68105.45.8.96/27105.45.8.97 to 105.45.8.126105.45.8.12730
69105.45.8.128/27105.45.8.129 to 105.45.8.158105.45.8.15930
70105.45.8.160/27105.45.8.161 to 105.45.8.190105.45.8.19130
71105.45.8.192/27105.45.8.193 to 105.45.8.222105.45.8.22330
72105.45.8.224/27105.45.8.225 to 105.45.8.254105.45.8.25530
73105.45.9.0/27105.45.9.1 to 105.45.9.30105.45.9.3130
74105.45.9.32/27105.45.9.33 to 105.45.9.62105.45.9.6330
75105.45.9.64/27105.45.9.65 to 105.45.9.94105.45.9.9530
76105.45.9.96/27105.45.9.97 to 105.45.9.126105.45.9.12730
77105.45.9.128/27105.45.9.129 to 105.45.9.158105.45.9.15930
78105.45.9.160/27105.45.9.161 to 105.45.9.190105.45.9.19130
79105.45.9.192/27105.45.9.193 to 105.45.9.222105.45.9.22330
80105.45.9.224/27105.45.9.225 to 105.45.9.254105.45.9.25530
81105.45.10.0/27105.45.10.1 to 105.45.10.30105.45.10.3130
82105.45.10.32/27105.45.10.33 to 105.45.10.62105.45.10.6330
83105.45.10.64/27105.45.10.65 to 105.45.10.94105.45.10.9530
84105.45.10.96/27105.45.10.97 to 105.45.10.126105.45.10.12730
85105.45.10.128/27105.45.10.129 to 105.45.10.158105.45.10.15930
86105.45.10.160/27105.45.10.161 to 105.45.10.190105.45.10.19130
87105.45.10.192/27105.45.10.193 to 105.45.10.222105.45.10.22330
88105.45.10.224/27105.45.10.225 to 105.45.10.254105.45.10.25530
89105.45.11.0/27105.45.11.1 to 105.45.11.30105.45.11.3130
90105.45.11.32/27105.45.11.33 to 105.45.11.62105.45.11.6330
91105.45.11.64/27105.45.11.65 to 105.45.11.94105.45.11.9530
92105.45.11.96/27105.45.11.97 to 105.45.11.126105.45.11.12730
93105.45.11.128/27105.45.11.129 to 105.45.11.158105.45.11.15930
94105.45.11.160/27105.45.11.161 to 105.45.11.190105.45.11.19130
95105.45.11.192/27105.45.11.193 to 105.45.11.222105.45.11.22330
96105.45.11.224/27105.45.11.225 to 105.45.11.254105.45.11.25530
97105.45.12.0/27105.45.12.1 to 105.45.12.30105.45.12.3130
98105.45.12.32/27105.45.12.33 to 105.45.12.62105.45.12.6330
99105.45.12.64/27105.45.12.65 to 105.45.12.94105.45.12.9530
100105.45.12.96/27105.45.12.97 to 105.45.12.126105.45.12.12730
101105.45.12.128/27105.45.12.129 to 105.45.12.158105.45.12.15930
102105.45.12.160/27105.45.12.161 to 105.45.12.190105.45.12.19130
103105.45.12.192/27105.45.12.193 to 105.45.12.222105.45.12.22330
104105.45.12.224/27105.45.12.225 to 105.45.12.254105.45.12.25530
105105.45.13.0/27105.45.13.1 to 105.45.13.30105.45.13.3130
106105.45.13.32/27105.45.13.33 to 105.45.13.62105.45.13.6330
107105.45.13.64/27105.45.13.65 to 105.45.13.94105.45.13.9530
108105.45.13.96/27105.45.13.97 to 105.45.13.126105.45.13.12730
109105.45.13.128/27105.45.13.129 to 105.45.13.158105.45.13.15930
110105.45.13.160/27105.45.13.161 to 105.45.13.190105.45.13.19130
111105.45.13.192/27105.45.13.193 to 105.45.13.222105.45.13.22330
112105.45.13.224/27105.45.13.225 to 105.45.13.254105.45.13.25530
113105.45.14.0/27105.45.14.1 to 105.45.14.30105.45.14.3130
114105.45.14.32/27105.45.14.33 to 105.45.14.62105.45.14.6330
115105.45.14.64/27105.45.14.65 to 105.45.14.94105.45.14.9530
116105.45.14.96/27105.45.14.97 to 105.45.14.126105.45.14.12730
117105.45.14.128/27105.45.14.129 to 105.45.14.158105.45.14.15930
118105.45.14.160/27105.45.14.161 to 105.45.14.190105.45.14.19130
119105.45.14.192/27105.45.14.193 to 105.45.14.222105.45.14.22330
120105.45.14.224/27105.45.14.225 to 105.45.14.254105.45.14.25530
121105.45.15.0/27105.45.15.1 to 105.45.15.30105.45.15.3130
122105.45.15.32/27105.45.15.33 to 105.45.15.62105.45.15.6330
123105.45.15.64/27105.45.15.65 to 105.45.15.94105.45.15.9530
124105.45.15.96/27105.45.15.97 to 105.45.15.126105.45.15.12730
125105.45.15.128/27105.45.15.129 to 105.45.15.158105.45.15.15930
126105.45.15.160/27105.45.15.161 to 105.45.15.190105.45.15.19130
127105.45.15.192/27105.45.15.193 to 105.45.15.222105.45.15.22330
128105.45.15.224/27105.45.15.225 to 105.45.15.254105.45.15.25530
129105.45.16.0/27105.45.16.1 to 105.45.16.30105.45.16.3130
130105.45.16.32/27105.45.16.33 to 105.45.16.62105.45.16.6330
131105.45.16.64/27105.45.16.65 to 105.45.16.94105.45.16.9530
132105.45.16.96/27105.45.16.97 to 105.45.16.126105.45.16.12730
133105.45.16.128/27105.45.16.129 to 105.45.16.158105.45.16.15930
134105.45.16.160/27105.45.16.161 to 105.45.16.190105.45.16.19130
135105.45.16.192/27105.45.16.193 to 105.45.16.222105.45.16.22330
136105.45.16.224/27105.45.16.225 to 105.45.16.254105.45.16.25530
137105.45.17.0/27105.45.17.1 to 105.45.17.30105.45.17.3130
138105.45.17.32/27105.45.17.33 to 105.45.17.62105.45.17.6330
139105.45.17.64/27105.45.17.65 to 105.45.17.94105.45.17.9530
140105.45.17.96/27105.45.17.97 to 105.45.17.126105.45.17.12730
141105.45.17.128/27105.45.17.129 to 105.45.17.158105.45.17.15930
142105.45.17.160/27105.45.17.161 to 105.45.17.190105.45.17.19130
143105.45.17.192/27105.45.17.193 to 105.45.17.222105.45.17.22330
144105.45.17.224/27105.45.17.225 to 105.45.17.254105.45.17.25530
145105.45.18.0/27105.45.18.1 to 105.45.18.30105.45.18.3130
146105.45.18.32/27105.45.18.33 to 105.45.18.62105.45.18.6330
147105.45.18.64/27105.45.18.65 to 105.45.18.94105.45.18.9530
148105.45.18.96/27105.45.18.97 to 105.45.18.126105.45.18.12730
149105.45.18.128/27105.45.18.129 to 105.45.18.158105.45.18.15930
150105.45.18.160/27105.45.18.161 to 105.45.18.190105.45.18.19130
151105.45.18.192/27105.45.18.193 to 105.45.18.222105.45.18.22330
152105.45.18.224/27105.45.18.225 to 105.45.18.254105.45.18.25530
153105.45.19.0/27105.45.19.1 to 105.45.19.30105.45.19.3130
154105.45.19.32/27105.45.19.33 to 105.45.19.62105.45.19.6330
155105.45.19.64/27105.45.19.65 to 105.45.19.94105.45.19.9530
156105.45.19.96/27105.45.19.97 to 105.45.19.126105.45.19.12730
157105.45.19.128/27105.45.19.129 to 105.45.19.158105.45.19.15930
158105.45.19.160/27105.45.19.161 to 105.45.19.190105.45.19.19130
159105.45.19.192/27105.45.19.193 to 105.45.19.222105.45.19.22330
160105.45.19.224/27105.45.19.225 to 105.45.19.254105.45.19.25530
161105.45.20.0/27105.45.20.1 to 105.45.20.30105.45.20.3130
162105.45.20.32/27105.45.20.33 to 105.45.20.62105.45.20.6330
163105.45.20.64/27105.45.20.65 to 105.45.20.94105.45.20.9530
164105.45.20.96/27105.45.20.97 to 105.45.20.126105.45.20.12730
165105.45.20.128/27105.45.20.129 to 105.45.20.158105.45.20.15930
166105.45.20.160/27105.45.20.161 to 105.45.20.190105.45.20.19130
167105.45.20.192/27105.45.20.193 to 105.45.20.222105.45.20.22330
168105.45.20.224/27105.45.20.225 to 105.45.20.254105.45.20.25530
169105.45.21.0/27105.45.21.1 to 105.45.21.30105.45.21.3130
170105.45.21.32/27105.45.21.33 to 105.45.21.62105.45.21.6330
171105.45.21.64/27105.45.21.65 to 105.45.21.94105.45.21.9530
172105.45.21.96/27105.45.21.97 to 105.45.21.126105.45.21.12730
173105.45.21.128/27105.45.21.129 to 105.45.21.158105.45.21.15930
174105.45.21.160/27105.45.21.161 to 105.45.21.190105.45.21.19130
175105.45.21.192/27105.45.21.193 to 105.45.21.222105.45.21.22330
176105.45.21.224/27105.45.21.225 to 105.45.21.254105.45.21.25530
177105.45.22.0/27105.45.22.1 to 105.45.22.30105.45.22.3130
178105.45.22.32/27105.45.22.33 to 105.45.22.62105.45.22.6330
179105.45.22.64/27105.45.22.65 to 105.45.22.94105.45.22.9530
180105.45.22.96/27105.45.22.97 to 105.45.22.126105.45.22.12730
181105.45.22.128/27105.45.22.129 to 105.45.22.158105.45.22.15930
182105.45.22.160/27105.45.22.161 to 105.45.22.190105.45.22.19130
183105.45.22.192/27105.45.22.193 to 105.45.22.222105.45.22.22330
184105.45.22.224/27105.45.22.225 to 105.45.22.254105.45.22.25530
185105.45.23.0/27105.45.23.1 to 105.45.23.30105.45.23.3130
186105.45.23.32/27105.45.23.33 to 105.45.23.62105.45.23.6330
187105.45.23.64/27105.45.23.65 to 105.45.23.94105.45.23.9530
188105.45.23.96/27105.45.23.97 to 105.45.23.126105.45.23.12730
189105.45.23.128/27105.45.23.129 to 105.45.23.158105.45.23.15930
190105.45.23.160/27105.45.23.161 to 105.45.23.190105.45.23.19130
191105.45.23.192/27105.45.23.193 to 105.45.23.222105.45.23.22330
192105.45.23.224/27105.45.23.225 to 105.45.23.254105.45.23.25530
193105.45.24.0/27105.45.24.1 to 105.45.24.30105.45.24.3130
194105.45.24.32/27105.45.24.33 to 105.45.24.62105.45.24.6330
195105.45.24.64/27105.45.24.65 to 105.45.24.94105.45.24.9530
196105.45.24.96/27105.45.24.97 to 105.45.24.126105.45.24.12730
197105.45.24.128/27105.45.24.129 to 105.45.24.158105.45.24.15930
198105.45.24.160/27105.45.24.161 to 105.45.24.190105.45.24.19130
199105.45.24.192/27105.45.24.193 to 105.45.24.222105.45.24.22330
200105.45.24.224/27105.45.24.225 to 105.45.24.254105.45.24.25530
201105.45.25.0/27105.45.25.1 to 105.45.25.30105.45.25.3130
202105.45.25.32/27105.45.25.33 to 105.45.25.62105.45.25.6330
203105.45.25.64/27105.45.25.65 to 105.45.25.94105.45.25.9530
204105.45.25.96/27105.45.25.97 to 105.45.25.126105.45.25.12730
205105.45.25.128/27105.45.25.129 to 105.45.25.158105.45.25.15930
206105.45.25.160/27105.45.25.161 to 105.45.25.190105.45.25.19130
207105.45.25.192/27105.45.25.193 to 105.45.25.222105.45.25.22330
208105.45.25.224/27105.45.25.225 to 105.45.25.254105.45.25.25530
209105.45.26.0/27105.45.26.1 to 105.45.26.30105.45.26.3130
210105.45.26.32/27105.45.26.33 to 105.45.26.62105.45.26.6330
211105.45.26.64/27105.45.26.65 to 105.45.26.94105.45.26.9530
212105.45.26.96/27105.45.26.97 to 105.45.26.126105.45.26.12730
213105.45.26.128/27105.45.26.129 to 105.45.26.158105.45.26.15930
214105.45.26.160/27105.45.26.161 to 105.45.26.190105.45.26.19130
215105.45.26.192/27105.45.26.193 to 105.45.26.222105.45.26.22330
216105.45.26.224/27105.45.26.225 to 105.45.26.254105.45.26.25530
217105.45.27.0/27105.45.27.1 to 105.45.27.30105.45.27.3130
218105.45.27.32/27105.45.27.33 to 105.45.27.62105.45.27.6330
219105.45.27.64/27105.45.27.65 to 105.45.27.94105.45.27.9530
220105.45.27.96/27105.45.27.97 to 105.45.27.126105.45.27.12730
221105.45.27.128/27105.45.27.129 to 105.45.27.158105.45.27.15930
222105.45.27.160/27105.45.27.161 to 105.45.27.190105.45.27.19130
223105.45.27.192/27105.45.27.193 to 105.45.27.222105.45.27.22330
224105.45.27.224/27105.45.27.225 to 105.45.27.254105.45.27.25530
225105.45.28.0/27105.45.28.1 to 105.45.28.30105.45.28.3130
226105.45.28.32/27105.45.28.33 to 105.45.28.62105.45.28.6330
227105.45.28.64/27105.45.28.65 to 105.45.28.94105.45.28.9530
228105.45.28.96/27105.45.28.97 to 105.45.28.126105.45.28.12730
229105.45.28.128/27105.45.28.129 to 105.45.28.158105.45.28.15930
230105.45.28.160/27105.45.28.161 to 105.45.28.190105.45.28.19130
231105.45.28.192/27105.45.28.193 to 105.45.28.222105.45.28.22330
232105.45.28.224/27105.45.28.225 to 105.45.28.254105.45.28.25530
233105.45.29.0/27105.45.29.1 to 105.45.29.30105.45.29.3130
234105.45.29.32/27105.45.29.33 to 105.45.29.62105.45.29.6330
235105.45.29.64/27105.45.29.65 to 105.45.29.94105.45.29.9530
236105.45.29.96/27105.45.29.97 to 105.45.29.126105.45.29.12730
237105.45.29.128/27105.45.29.129 to 105.45.29.158105.45.29.15930
238105.45.29.160/27105.45.29.161 to 105.45.29.190105.45.29.19130
239105.45.29.192/27105.45.29.193 to 105.45.29.222105.45.29.22330
240105.45.29.224/27105.45.29.225 to 105.45.29.254105.45.29.25530
241105.45.30.0/27105.45.30.1 to 105.45.30.30105.45.30.3130
242105.45.30.32/27105.45.30.33 to 105.45.30.62105.45.30.6330
243105.45.30.64/27105.45.30.65 to 105.45.30.94105.45.30.9530
244105.45.30.96/27105.45.30.97 to 105.45.30.126105.45.30.12730
245105.45.30.128/27105.45.30.129 to 105.45.30.158105.45.30.15930
246105.45.30.160/27105.45.30.161 to 105.45.30.190105.45.30.19130
247105.45.30.192/27105.45.30.193 to 105.45.30.222105.45.30.22330
248105.45.30.224/27105.45.30.225 to 105.45.30.254105.45.30.25530
249105.45.31.0/27105.45.31.1 to 105.45.31.30105.45.31.3130
250105.45.31.32/27105.45.31.33 to 105.45.31.62105.45.31.6330
251105.45.31.64/27105.45.31.65 to 105.45.31.94105.45.31.9530
252105.45.31.96/27105.45.31.97 to 105.45.31.126105.45.31.12730
253105.45.31.128/27105.45.31.129 to 105.45.31.158105.45.31.15930
254105.45.31.160/27105.45.31.161 to 105.45.31.190105.45.31.19130
255105.45.31.192/27105.45.31.193 to 105.45.31.222105.45.31.22330
256105.45.31.224/27105.45.31.225 to 105.45.31.254105.45.31.25530

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses